; sbm.h
;
; header file for main.asm and loader.asm
;
; Copyright (C) 2000, Suzhe. See file COPYING and CREDITS for details.
;

%define BR_GOOD_FLAG    0XAA55
%define BR_FLAG_OFF     0x01FE
%define PART_TBL_OFF    0x01BE

%define BOOT_OFF        0x7C00             ; boot sector startup offset
%define PART_OFF        0x0600             ; partition table offset
%define SECTOR_SIZE     0x200              ; size of a sector

%define KERNEL_OFF      0x8000             ;Smart Boot Manager kernel startup
                                           ;Offset ( Seg = 0 )
%define KERNEL_SEG      0x0800             ;Segment ( Off = 0 )

%define SBMK_MAGIC      0x4B4D4253         ; magic number of
                                           ; Smart Boot Manager kernel.
%define SBMK_VERSION    0x0304             ; version of kernel.
%define SBMT_MAGIC      0x544D4253         ; magic number of
                                           ; Smart Boot Manager theme.
%define SBMT_VERSION    0x0304             ; version of theme.
%define SBML_MAGIC      0x4C4D4253         ; magic number of
                                           ; Smart Boot Manager loader.
%define SBML_VERSION    0x0300             ; version of loader.

%define MAX_SBM_SIZE    24576              ; the max size of Smart Boot Manager

%ifndef STRUC_SBMK_HEADER
%define STRUC_SBMK_HEADER

struc struc_sbml_header
      .jmp_cmd         resd 1           ; cli and jmp command.
      .magic           resd 1           ; magic number.
      .version         resw 1           ; version.
      .kernel_sectors  resb 1           ;
      .reserved        resb 1
      .kernel_copies   resb 1           ;
      .kernel_addr     resb 15          ;
endstruc

struc struc_sbmk_header
      .jmp_cmd         resd 1           ; jmp and nop command.
      .magic           resd 1           ; magic number.
      .version         resw 1           ; version.
      .kernel_size     resw 1           ; the size of kernel code.
      .checksum_size   resw 1           ; the number of bytes that will
                                        ; be counted in checksum.
      .checksum        resb 1           ; checksum value.
      .kernel_sectors  resb 1           ; the total sectors that kernel
                                        ; and theme used.
      .kernel_copies   resb 1           ; the number of kernel copies.
      .kernel_addr     resb 15          ; the address of kernel copies saved.
endstruc

struc struc_sbmt_header
      .magic           resd 1           ; magic number.
      .reserved        resw 1           ;
      .lang            resb 6           ; language info.
      .version         resw 1           ; theme version.
      .size            resw 1           ; theme size.
endstruc


%endif

